Qwt User's Guide: QwtPointPolar Class Reference

Qwt User's Guide 6.3.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QwtPointPolar Class Reference

A point in polar coordinates. More...

`#include <qwt_point_polar.h>`

## Public Member Functions
| QwtPointPolar ()
| QwtPointPolar (double azimuth, double radius)
| QwtPointPolar (const QPointF &)
void | setPoint (const QPointF &)
QPointF | toPoint () const
bool | isValid () const
| Returns true if radius() >= 0.0.
bool | isNull () const
| Returns true if radius() >= 0.0.
double | radius () const
| Returns the radius.
double | azimuth () const
| Returns the azimuth.
double & | rRadius ()
| Returns the radius.
double & | rAzimuth ()
| Returns the azimuth.
void | setRadius (double)
| Sets the radius to radius.
void | setAzimuth (double)
| Sets the azimuth to azimuth.
bool | operator== (const QwtPointPolar &) const
| Compare 2 points.
bool | operator!= (const QwtPointPolar &) const
QwtPointPolar | normalized () const

## Detailed Description

A point in polar coordinates.

In polar coordinates a point is determined by an angle and a distance. See http://en.wikipedia.org/wiki/Polar_coordinate_system

Definition at line 28 of file qwt_point_polar.h.

## Constructor & Destructor Documentation

## ◆ QwtPointPolar() [1/3]

QwtPointPolar::QwtPointPolar | ( |  | ) |
| inline

Constructs a null point, with a radius and azimuth set to 0.0.

See also
  QPointF::isNull()

Definition at line 71 of file qwt_point_polar.h.

## ◆ QwtPointPolar() [2/3]

QwtPointPolar::QwtPointPolar | ( | double | azimuth,
|  | double | radius )
| inline

Constructs a point with coordinates specified by radius and azimuth.

Parameters

  azimuth | Azimuth
  radius | Radius

Definition at line 83 of file qwt_point_polar.h.

## ◆ QwtPointPolar() [3/3]

QwtPointPolar::QwtPointPolar | ( | const QPointF & | p | ) |

Convert and assign values from a point in Cartesian coordinates

Parameters

  p | Point in Cartesian coordinates

See also
  setPoint(), toPoint()

Definition at line 44 of file qwt_point_polar.cpp.

## Member Function Documentation

## ◆ azimuth()

double QwtPointPolar::azimuth | ( |  | ) | const
| inline

Returns the azimuth.

Definition at line 108 of file qwt_point_polar.h.

## ◆ isNull()

bool QwtPointPolar::isNull | ( |  | ) | const
| inline

Returns true if radius() >= 0.0.

Definition at line 96 of file qwt_point_polar.h.

## ◆ isValid()

bool QwtPointPolar::isValid | ( |  | ) | const
| inline

Returns true if radius() >= 0.0.

Definition at line 90 of file qwt_point_polar.h.

## ◆ normalized()

QwtPointPolar QwtPointPolar::normalized | ( |  | ) | const

Normalize radius and azimuth

When the radius is < 0.0 it is set to 0.0. The azimuth is a value >= 0.0 and < 2 * M_PI.

Returns
  Normalized point

Definition at line 118 of file qwt_point_polar.cpp.

## ◆ operator!=()

bool QwtPointPolar::operator!= | ( | const QwtPointPolar & | other | ) | const

Compare 2 points

Two points are equal to each other if radius and azimuth-coordinates are the same. Points are not equal, when the azimuth differs, but other.azimuth() == azimuth() % (2 * PI).

Returns
  True if the point is not equal to other; otherwise return false.

See also
  normalized()

Definition at line 105 of file qwt_point_polar.cpp.

## ◆ operator==()

bool QwtPointPolar::operator== | ( | const QwtPointPolar & | other | ) | const

Compare 2 points.

Two points are equal to each other if radius and azimuth-coordinates are the same. Points are not equal, when the azimuth differs, but other.azimuth() == azimuth() % (2 * PI).

Returns
  True if the point is equal to other; otherwise return false.

See also
  normalized()

Definition at line 90 of file qwt_point_polar.cpp.

## ◆ radius()

double QwtPointPolar::radius | ( |  | ) | const
| inline

Returns the radius.

Definition at line 102 of file qwt_point_polar.h.

## ◆ rAzimuth()

double & QwtPointPolar::rAzimuth | ( |  | ) |
| inline

Returns the azimuth.

Definition at line 120 of file qwt_point_polar.h.

## ◆ rRadius()

double & QwtPointPolar::rRadius | ( |  | ) |
| inline

Returns the radius.

Definition at line 114 of file qwt_point_polar.h.

## ◆ setAzimuth()

void QwtPointPolar::setAzimuth | ( | double | azimuth | ) |
| inline

Sets the azimuth to azimuth.

Definition at line 132 of file qwt_point_polar.h.

## ◆ setPoint()

void QwtPointPolar::setPoint | ( | const QPointF & | p | ) |

Convert and assign values from a point in Cartesian coordinates

Parameters

  p | Point in Cartesian coordinates

Definition at line 54 of file qwt_point_polar.cpp.

## ◆ setRadius()

void QwtPointPolar::setRadius | ( | double | radius | ) |
| inline

Sets the radius to radius.

Definition at line 126 of file qwt_point_polar.h.

## ◆ toPoint()

QPointF QwtPointPolar::toPoint | ( |  | ) | const

Convert and return values in Cartesian coordinates

Returns
  Converted point in Cartesian coordinates

Note
  Invalid or null points will be returned as QPointF(0.0, 0.0)

See also
  isValid(), isNull()

Definition at line 68 of file qwt_point_polar.cpp.